diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/traffic-control/test/pie-queue-disc-test-suite.cc ns-3.38/src/traffic-control/test/pie-queue-disc-test-suite.cc
--- ns-3.37/src/traffic-control/test/pie-queue-disc-test-suite.cc	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/traffic-control/test/pie-queue-disc-test-suite.cc	2023-03-16 20:54:23.840869200 -0700
@@ -33,7 +33,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Pie Queue Disc Test Item
  */
@@ -103,7 +102,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Pie Queue Disc Test Case
  */
@@ -849,7 +847,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Pie Queue Disc Test Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/traffic-control/test/prio-queue-disc-test-suite.cc ns-3.38/src/traffic-control/test/prio-queue-disc-test-suite.cc
--- ns-3.37/src/traffic-control/test/prio-queue-disc-test-suite.cc	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/traffic-control/test/prio-queue-disc-test-suite.cc	2023-03-16 20:54:23.840869200 -0700
@@ -35,7 +35,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Prio Queue Disc Test Item
  */
@@ -75,7 +74,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Prio Queue Disc Test Packet Filter
  */
@@ -134,7 +132,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Prio Queue Disc Test Case
  */
@@ -318,7 +315,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Prio Queue Disc Test Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/traffic-control/test/queue-disc-traces-test-suite.cc ns-3.38/src/traffic-control/test/queue-disc-traces-test-suite.cc
--- ns-3.37/src/traffic-control/test/queue-disc-traces-test-suite.cc	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/traffic-control/test/queue-disc-traces-test-suite.cc	2023-03-16 20:54:23.840869200 -0700
@@ -30,11 +30,10 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Queue Disc Test Item
  */
-class qdTestItem : public QueueDiscItem
+class QdTestItem : public QueueDiscItem
 {
   public:
     /**
@@ -43,35 +42,34 @@
      * \param p the packet
      * \param addr the address
      */
-    qdTestItem(Ptr<Packet> p, const Address& addr);
-    ~qdTestItem() override;
+    QdTestItem(Ptr<Packet> p, const Address& addr);
+    ~QdTestItem() override;
     void AddHeader() override;
     bool Mark() override;
 };
 
-qdTestItem::qdTestItem(Ptr<Packet> p, const Address& addr)
+QdTestItem::QdTestItem(Ptr<Packet> p, const Address& addr)
     : QueueDiscItem(p, addr, 0)
 {
 }
 
-qdTestItem::~qdTestItem()
+QdTestItem::~QdTestItem()
 {
 }
 
 void
-qdTestItem::AddHeader()
+QdTestItem::AddHeader()
 {
 }
 
 bool
-qdTestItem::Mark()
+QdTestItem::Mark()
 {
     return false;
 }
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Test Child Queue Disc that may drop packets before enqueue or after dequeue
  */
@@ -142,7 +140,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Test Parent Queue Disc having a child of type TestChildQueueDisc
  */
@@ -197,7 +194,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Keep statistics based on traces
  */
@@ -304,7 +300,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Queue Disc Traces Test Case
  *
@@ -450,7 +445,7 @@
     // Enqueue 4 packets. They must all be enqueued
     for (uint16_t i = 1; i <= 4; i++)
     {
-        root->Enqueue(Create<qdTestItem>(Create<Packet>(pktSizeUnit * i), dest));
+        root->Enqueue(Create<QdTestItem>(Create<Packet>(pktSizeUnit * i), dest));
 
         CheckQueued(root, i, pktSizeUnit * i * (i + 1) / 2);
         CheckDroppedBeforeEnqueue(root, 0, 0);
@@ -463,7 +458,7 @@
 
     // The fifth packet is dropped before enqueue by the child queue disc.
     // The packet drop is notified to the root queue disc.
-    root->Enqueue(Create<qdTestItem>(Create<Packet>(pktSizeUnit * 5), dest));
+    root->Enqueue(Create<QdTestItem>(Create<Packet>(pktSizeUnit * 5), dest));
 
     CheckQueued(root, 4, pktSizeUnit * 10);
     CheckDroppedBeforeEnqueue(root, 1, pktSizeUnit * 5);
@@ -559,7 +554,7 @@
     CheckDroppedAfterDequeue(child, 2, pktSizeUnit * 3);
 
     // Enqueue one packet.
-    root->Enqueue(Create<qdTestItem>(Create<Packet>(pktSizeUnit), dest));
+    root->Enqueue(Create<QdTestItem>(Create<Packet>(pktSizeUnit), dest));
 
     CheckQueued(root, 1, pktSizeUnit);
     CheckDroppedBeforeEnqueue(root, 1, pktSizeUnit * 5);
@@ -590,7 +585,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Queue Disc Traces Test Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/traffic-control/test/red-queue-disc-test-suite.cc ns-3.38/src/traffic-control/test/red-queue-disc-test-suite.cc
--- ns-3.37/src/traffic-control/test/red-queue-disc-test-suite.cc	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/traffic-control/test/red-queue-disc-test-suite.cc	2023-03-16 20:54:23.840869200 -0700
@@ -32,7 +32,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Red Queue Disc Test Item
  */
@@ -83,7 +82,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Red Queue Disc Test Case
  */
@@ -621,7 +619,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Red Queue Disc Test Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/traffic-control/test/tbf-queue-disc-test-suite.cc ns-3.38/src/traffic-control/test/tbf-queue-disc-test-suite.cc
--- ns-3.37/src/traffic-control/test/tbf-queue-disc-test-suite.cc	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/traffic-control/test/tbf-queue-disc-test-suite.cc	2023-03-16 20:54:23.840869200 -0700
@@ -37,7 +37,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Tbf Queue Disc Test Item
  */
@@ -84,7 +83,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Tbf Queue Disc Test Case
  */
@@ -479,7 +477,7 @@
     }
 
     // The pattern being checked is a pattern of dequeue followed by blocked.  The delay between
-    // enqueues is not sufficient to allow ptokens to refill befor the next dequeue.  The first
+    // enqueues is not sufficient to allow ptokens to refill before the next dequeue.  The first
     // enqueue is at 1.08s in the future, and the attempted dequeue is at 1.10s in the future.  The
     // first dequeue will always succeed.  The second enqueue is 1.12s and attempted dequeue is
     // at 1.14s in the future, but the last dequeue was 0.04s prior; only 800 tokens can be refilled
@@ -541,7 +539,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Tbf Queue Disc Test Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/traffic-control/test/tc-flow-control-test-suite.cc ns-3.38/src/traffic-control/test/tc-flow-control-test-suite.cc
--- ns-3.37/src/traffic-control/test/tc-flow-control-test-suite.cc	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/traffic-control/test/tc-flow-control-test-suite.cc	2023-03-16 20:54:23.840869200 -0700
@@ -41,7 +41,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Queue Disc Test Item
  */
@@ -87,7 +86,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Traffic Control Flow Control Test Case
  */
@@ -496,7 +494,6 @@
 
 /**
  * \ingroup traffic-control-test
- * \ingroup tests
  *
  * \brief Traffic Control Flow Control Test Suite
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/uan/examples/uan-cw-example.cc ns-3.38/src/uan/examples/uan-cw-example.cc
--- ns-3.37/src/uan/examples/uan-cw-example.cc	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/uan/examples/uan-cw-example.cc	2023-03-16 20:54:23.840869200 -0700
@@ -103,7 +103,7 @@
 }
 
 void
-Experiment::UpdatePositions(NodeContainer& nodes)
+Experiment::UpdatePositions(NodeContainer& nodes) const
 {
     NS_LOG_DEBUG(Now().As(Time::S) << " Updating positions");
     NodeContainer::Iterator it = nodes.Begin();
@@ -227,7 +227,7 @@
         {
             NS_FATAL_ERROR("Could not open ascii trace file: " << m_asciitracefile);
         }
-        uan.EnableAsciiAll(ascii);
+        UanHelper::EnableAsciiAll(ascii);
 
         Simulator::Run();
         sinkNode = nullptr;
@@ -330,4 +330,6 @@
 
     per = nullptr;
     sinr = nullptr;
+
+    return 0;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/uan/examples/uan-cw-example.h ns-3.38/src/uan/examples/uan-cw-example.h
--- ns-3.37/src/uan/examples/uan-cw-example.h	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/uan/examples/uan-cw-example.h	2023-03-16 20:54:23.840869200 -0700
@@ -56,7 +56,7 @@
      *
      * \param nodes The nodes to reposition.
      */
-    void UpdatePositions(NodeContainer& nodes);
+    void UpdatePositions(NodeContainer& nodes) const;
     /** Save the throughput from a single run. */
     void ResetData();
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/uan/examples/uan-rc-example.cc ns-3.38/src/uan/examples/uan-rc-example.cc
--- ns-3.37/src/uan/examples/uan-rc-example.cc	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/uan/examples/uan-rc-example.cc	2023-03-16 20:54:23.840869200 -0700
@@ -95,7 +95,7 @@
 }
 
 UanTxMode
-Experiment::CreateMode(uint32_t kass, uint32_t fc, bool upperblock, std::string name)
+Experiment::CreateMode(uint32_t kass, uint32_t fc, bool upperblock, std::string name) const
 {
     std::ostringstream buf;
     buf << name << " " << kass;
@@ -307,4 +307,6 @@
         NS_FATAL_ERROR("Can not open GNU Plot outfile: " << exp.m_gnuplotfile);
     }
     gp.GenerateOutput(of);
+
+    return 0;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/uan/examples/uan-rc-example.h ns-3.38/src/uan/examples/uan-rc-example.h
--- ns-3.37/src/uan/examples/uan-rc-example.h	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/uan/examples/uan-rc-example.h	2023-03-16 20:54:23.840869200 -0700
@@ -87,7 +87,7 @@
      * \param name Mode name.
      * \return The new mode.
      */
-    UanTxMode CreateMode(uint32_t kass, uint32_t fc, bool upperblock, std::string name);
+    UanTxMode CreateMode(uint32_t kass, uint32_t fc, bool upperblock, std::string name) const;
     /**
      * Create m_numRates matching control and data modes.
      *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/uan/model/uan-header-common.cc ns-3.38/src/uan/model/uan-header-common.cc
--- ns-3.37/src/uan/model/uan-header-common.cc	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/uan/model/uan-header-common.cc	2023-03-16 20:54:23.840869200 -0700
@@ -145,7 +145,7 @@
     return 0;
 }
 
-// Inherrited methods
+// Inherited methods
 
 uint32_t
 UanHeaderCommon::GetSerializedSize() const
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/uan/model/uan-header-rc.h ns-3.38/src/uan/model/uan-header-rc.h
--- ns-3.37/src/uan/model/uan-header-rc.h	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/uan/model/uan-header-rc.h	2023-03-16 20:54:23.840869200 -0700
@@ -93,7 +93,7 @@
      */
     void Print(std::ostream& os, Time::Unit unit) const;
 
-    // Inherrited methods
+    // Inherited methods
     uint32_t GetSerializedSize() const override;
     void Serialize(Buffer::Iterator start) const override;
     uint32_t Deserialize(Buffer::Iterator start) override;
@@ -211,7 +211,7 @@
      */
     void Print(std::ostream& os, Time::Unit unit) const;
 
-    // Inherrited methods
+    // Inherited methods
     uint32_t GetSerializedSize() const override;
     void Serialize(Buffer::Iterator start) const override;
     uint32_t Deserialize(Buffer::Iterator start) override;
@@ -315,7 +315,7 @@
      */
     void Print(std::ostream& os, Time::Unit unit) const;
 
-    // Inherrited methods
+    // Inherited methods
     uint32_t GetSerializedSize() const override;
     void Serialize(Buffer::Iterator start) const override;
     uint32_t Deserialize(Buffer::Iterator start) override;
@@ -433,7 +433,7 @@
      */
     void Print(std::ostream& os, Time::Unit unit) const;
 
-    // Inherrited methods
+    // Inherited methods
     uint32_t GetSerializedSize() const override;
     void Serialize(Buffer::Iterator start) const override;
     uint32_t Deserialize(Buffer::Iterator start) override;
@@ -500,7 +500,7 @@
      */
     uint8_t GetNoNacks() const;
 
-    // Inherrited methods
+    // Inherited methods
     uint32_t GetSerializedSize() const override;
     void Serialize(Buffer::Iterator start) const override;
     uint32_t Deserialize(Buffer::Iterator start) override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/uan/model/uan-mac.cc ns-3.38/src/uan/model/uan-mac.cc
--- ns-3.37/src/uan/model/uan-mac.cc	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/uan/model/uan-mac.cc	2023-03-16 20:54:23.840869200 -0700
@@ -43,7 +43,7 @@
 }
 
 uint32_t
-UanMac::GetTxModeIndex()
+UanMac::GetTxModeIndex() const
 {
     return m_txModeIndex;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/uan/model/uan-mac-cw.cc ns-3.38/src/uan/model/uan-mac-cw.cc
--- ns-3.37/src/uan/model/uan-mac-cw.cc	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/uan/model/uan-mac-cw.cc	2023-03-16 20:54:23.840869200 -0700
@@ -126,11 +126,11 @@
             NS_LOG_DEBUG("State is not TX");
         }
 
-        NS_ASSERT(m_phy->GetTransducer()->GetArrivalList().size() >= 1 || m_phy->IsStateTx());
+        NS_ASSERT(!m_phy->GetTransducer()->GetArrivalList().empty() || m_phy->IsStateTx());
         return false;
     case RUNNING:
         NS_LOG_DEBUG("MAC " << GetAddress() << " Starting enqueue RUNNING");
-        NS_ASSERT(m_phy->GetTransducer()->GetArrivalList().size() == 0 && !m_phy->IsStateTx());
+        NS_ASSERT(m_phy->GetTransducer()->GetArrivalList().empty() && !m_phy->IsStateTx());
         return false;
     case TX:
     case IDLE: {
@@ -157,14 +157,14 @@
                                  << ": Enqueuing new packet while busy:  (Chose CW " << cw
                                  << ", Sending at " << m_sendTime.As(Time::S)
                                  << " Packet size: " << packet->GetSize());
-            NS_ASSERT(m_phy->GetTransducer()->GetArrivalList().size() >= 1 || m_phy->IsStateTx());
+            NS_ASSERT(!m_phy->GetTransducer()->GetArrivalList().empty() || m_phy->IsStateTx());
         }
         else
         {
             NS_ASSERT(m_state != TX);
             NS_LOG_DEBUG("Time " << Now().As(Time::S) << ": Addr " << GetAddress()
                                  << ": Enqueuing new packet while idle (sending)");
-            NS_ASSERT(m_phy->GetTransducer()->GetArrivalList().size() == 0 && !m_phy->IsStateTx());
+            NS_ASSERT(m_phy->GetTransducer()->GetArrivalList().empty() && !m_phy->IsStateTx());
             m_state = TX;
             m_phy->SendPacket(packet, GetTxModeIndex());
         }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/uan/model/uan-mac-cw.h ns-3.38/src/uan/model/uan-mac-cw.h
--- ns-3.37/src/uan/model/uan-mac-cw.h	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/uan/model/uan-mac-cw.h	2023-03-16 20:54:23.840869200 -0700
@@ -107,13 +107,13 @@
 
   private:
     /** Enum defining possible Phy states. */
-    typedef enum
+    enum State
     {
         IDLE,    //!< Idle state.
         CCABUSY, //!< Channel busy.
         RUNNING, //!< Delay timer running.
         TX       //!< Transmitting.
-    } State;
+    };
 
     /** Forwarding up callback. */
     Callback<void, Ptr<Packet>, uint16_t, const Mac8Address&> m_forwardUpCb;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/uan/model/uan-mac.h ns-3.38/src/uan/model/uan-mac.h
--- ns-3.37/src/uan/model/uan-mac.h	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/uan/model/uan-mac.h	2023-03-16 20:54:23.840869200 -0700
@@ -127,7 +127,7 @@
      * Get the Tx mode index (Modulation type).
      * \return the Tx mode index
      */
-    uint32_t GetTxModeIndex();
+    uint32_t GetTxModeIndex() const;
 
     /**
      * Set the Tx mode index (Modulation type).
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/uan/model/uan-phy-dual.cc ns-3.38/src/uan/model/uan-phy-dual.cc
--- ns-3.37/src/uan/model/uan-phy-dual.cc	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/uan/model/uan-phy-dual.cc	2023-03-16 20:54:23.840869200 -0700
@@ -237,7 +237,7 @@
                             MakeTraceSourceAccessor(&UanPhyDual::m_rxOkLogger),
                             "ns3::UanPhy::TracedCallback")
             .AddTraceSource("RxError",
-                            "A packet was received unsuccessfully.",
+                            "A packet was received unsuccessfuly.",
                             MakeTraceSourceAccessor(&UanPhyDual::m_rxErrLogger),
                             "ns3::UanPhy::TracedCallback")
             .AddTraceSource("Tx",
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/uan/model/uan-phy-dual.h ns-3.38/src/uan/model/uan-phy-dual.h
--- ns-3.37/src/uan/model/uan-phy-dual.h	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/uan/model/uan-phy-dual.h	2023-03-16 20:54:23.840869200 -0700
@@ -240,7 +240,7 @@
 
     /** A packet was received successfully. */
     ns3::TracedCallback<Ptr<const Packet>, double, UanTxMode> m_rxOkLogger;
-    /** A packet was received unsuccessfully. */
+    /** A packet was received unsuccessfuly. */
     ns3::TracedCallback<Ptr<const Packet>, double, UanTxMode> m_rxErrLogger;
     /** A packet was sent from this Phy. */
     ns3::TracedCallback<Ptr<const Packet>, double, UanTxMode> m_txLogger;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/uan/model/uan-phy-gen.cc ns-3.38/src/uan/model/uan-phy-gen.cc
--- ns-3.37/src/uan/model/uan-phy-gen.cc	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/uan/model/uan-phy-gen.cc	2023-03-16 20:54:23.840869200 -0700
@@ -620,7 +620,7 @@
                             MakeTraceSourceAccessor(&UanPhyGen::m_rxOkLogger),
                             "ns3::UanPhy::TracedCallback")
             .AddTraceSource("RxError",
-                            "A packet was received unsuccessfully.",
+                            "A packet was received unsuccessfuly.",
                             MakeTraceSourceAccessor(&UanPhyGen::m_rxErrLogger),
                             "ns3::UanPhy::TracedCallback")
             .AddTraceSource("Tx",
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/uan/model/uan-phy.h ns-3.38/src/uan/model/uan-phy.h
--- ns-3.37/src/uan/model/uan-phy.h	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/uan/model/uan-phy.h	2023-03-16 20:54:23.840869200 -0700
@@ -85,7 +85,7 @@
      * Convert kilopascals to dB re 1 uPa.
      *
      * \param kp Value in kilopascals.
-     * \return Valeu in dB re 1 uPa
+     * \return Value in dB re 1 uPa
      */
     inline double KpToDb(double kp) const
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/uan/model/uan-tx-mode.h ns-3.38/src/uan/model/uan-tx-mode.h
--- ns-3.37/src/uan/model/uan-tx-mode.h	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/uan/model/uan-tx-mode.h	2023-03-16 20:54:23.840869200 -0700
@@ -48,13 +48,13 @@
     /**
      * Modulation type.
      */
-    typedef enum
+    enum ModulationType
     {
         PSK,  //!< Phase shift keying.
         QAM,  //!< Quadrature amplitude modulation.
         FSK,  //!< Frequency shift keying.
         OTHER //!< Unspecified/undefined.
-    } ModulationType;
+    };
 
     /**
      * Get the modulation type of the mode.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/virtual-net-device/examples/CMakeLists.txt ns-3.38/src/virtual-net-device/examples/CMakeLists.txt
--- ns-3.37/src/virtual-net-device/examples/CMakeLists.txt	2022-11-01 17:37:24.727395800 -0700
+++ ns-3.38/src/virtual-net-device/examples/CMakeLists.txt	2023-03-16 20:54:23.844869400 -0700
@@ -1,6 +1,6 @@
 build_lib_example(
-  NAME virtual-net-device
-  SOURCE_FILES virtual-net-device.cc
+  NAME virtual-net-device-example
+  SOURCE_FILES virtual-net-device-example.cc
   LIBRARIES_TO_LINK
     ${libvirtual-net-device}
     ${libpoint-to-point}
